## revpi-nodered 1.9.2

=== Makefile ===
all: build

build:
	npm ci

update-npm:
	npm update

update-license: build
	licensed cache  || true
	licensed notices

update-all: update-npm update-license

show-latest-node-red:
	npm outdated node-red

clean:
	rm -rf node_modules/

security-audit:
	npm audit

start: build
	./node_modules/node-red/bin/node-red-pi

## revpi-nodered 1.9.0

=== debian/changelog ===
revpi-nodered (1.9.0-1+deb12+1) bookworm; urgency=medium

  * fix: Update Node-RED to 4.1.1
  * feat(systemd): Add /tmp to writable paths

 -- Sven Sager <s.sager@kunbus.com>  Thu, 16 Oct 2025 14:08:36 +0200

revpi-nodered (1.8.0-1+deb12+1) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * feat: Add firewalld zone file
  * feat(deb): Add package revpi-nodered-proxy-firewalld

 -- Sven Sager <s.sager@kunbus.com>  Mon, 21 Jul 2025 08:56:43 +0200

revpi-nodered (1.7.0-1+deb12+1) bookworm; urgency=medium

  [ Marc Kittner ]
  * feat: Disallow HTTPS for nodered settings.js
  * chore(dep): Update package-lock.json and licenses

 -- Sven Sager <s.sager@kunbus.com>  Fri, 16 May 2025 14:54:06 +0200

revpi-nodered (1.6.1-1+deb12+1) bookworm; urgency=medium

  * fix: Update Node-RED to 4.0.9
  * feat(deb): Add override to disable auto-enabling of systemd services

 -- Sven Sager <s.sager@kunbus.com>  Tue, 11 Mar 2025 14:13:22 +0100

revpi-nodered (1.6.0-1+deb12+1) bookworm; urgency=medium

  * fix(deb): Remove max node-red-contrib-revpi-nodes package dependency
  * fix: Update Node-RED to 4.0.5
  * feat(scripts): Update package.json to the latest versions
  * fix(packages): Update dependencies of package-lock.json
  * fix(deb): Ignore ci commits in changelog file

 -- Sven Sager <s.sager@kunbus.com>  Wed, 20 Nov 2024 10:35:39 +0100

revpi-nodered (1.5.1-1+deb12+1) bookworm; urgency=medium

  [ Sven Sager ]
  * build: Ignore exit code of licensed chache
  * build: Use build as dependency of update-licenses
  * chore: Autoupdate NOTICE license summary
  * fix: Set node-red-contrib-revpi-nodes dependency to 1.2.2
  * fix: Update Node-RED to 4.0.3

  [ Nicolai Buchwitz ]
  * ci: Add npm audit pipeline

 -- Sven Sager <s.sager@kunbus.com>  Thu, 26 Sep 2024 13:56:00 +0200

revpi-nodered (1.5.0-1+deb12+1) bookworm; urgency=medium

  * feat: Update to Node-RED 4.0.2
  * doc: Update licenses for Node-RED 4.0.2
  * fix(deb): Add npm to activate Node-RED palette manager
  * doc(deb): Update package description with Node-RED version information

 -- Sven Sager <s.sager@kunbus.com>  Wed, 28 Aug 2024 13:42:04 +0200

revpi-nodered (1.4.0-1+revpi12+1) bookworm; urgency=medium

  * feat(license) Add .licensed.yml configuration file
  * feat(license): Add build targets for license info
  * chore(dep): Update package-lock.json
  * feat(license): Add third-party license notices
  * feat(deb): Add copyright or bundled libraries
  * feat(deb): Set version range of supporting nodes-server

 -- Marc Kittner <m.kittner@kunbus.com>  Mon, 01 Jul 2024 14:36:15 +0000

revpi-nodered (1.3.1-1+revpi12+1) bookworm; urgency=medium

  * fix(apache): Use root of apache default log dir
  * feat(deb): Install configuration to revpi-webserver-apache path
  * feat(deb): Recommend the installation of one redirect package

 -- Sven Sager <s.sager@kunbus.com>  Wed, 29 May 2024 13:05:19 +0200

revpi-nodered (1.3.0-1+revpi12+1) bookworm; urgency=medium

  * feat(apache): Remove ServerAdmin and DocumentRoot
  * feat(deb): Replace dependency webstatus with revpi-cert-wizard

 -- Sven Sager <s.sager@kunbus.com>  Thu, 23 May 2024 13:12:50 +0200

revpi-nodered (1.2.0-1+revpi12+2) bookworm; urgency=medium

  * fix(deb): Add dependency of revpi-nodered to revpi-nodered-proxy-apache

 -- Sven Sager <s.sager@kunbus.com>  Wed, 22 May 2024 11:34:32 +0200

revpi-nodered (1.2.0-1+revpi12+1) bookworm; urgency=medium

  [ Lukas Zech ]
  * feat(package): Add package.json for node-red

  [ Marc Kittner ]
  * feat(makefile): Add make targets to create environment and tooling

  [ Sven Sager ]
  * docs: Documentation for the Makefile

  [ Lukas Zech ]
  * feat(systemd): systemd unit uses package installed node-red

  [ Sven Sager ]
  * feat(deb): Add npm as build dependency
  * feat(deb): Install revpi-nodered node_modules
  * feat(deb): Declare relationship with noderedrevpinodes-server
  * feat(deb): Define conflict with node-red-contrib-revpi-nodes Package
  * feat(deb): Change package architecutre from all to any

 -- Sven Sager <s.sager@kunbus.com>  Fri, 10 May 2024 08:08:53 +0200

revpi-nodered (1.1.0-1+revpi12+2) bookworm; urgency=medium

  * fix(deb): Set home dir of user nodered to the same as in the systemd file

 -- Sven Sager <s.sager@kunbus.com>  Fri, 12 Apr 2024 09:47:11 +0200

revpi-nodered (1.1.0-1+revpi12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * chore: Add move to GitLab to README

  [ Philipp Rosenberger ]
  * Switch back to the debian/ namespace

  [ Sven Sager ]
  * fix(apache): Change redirect status code to default of 302
  * doc(apache): Explain the use of the apache2 configuration
  * feat(systemd): Add systemd unit file with sandboxing options
  * doc(systemd): Add systemd unit file with sandboxing options
  * feat(deb): Create package revpi-nodered

 -- Sven Sager <s.sager@kunbus.com>  Mon, 29 Jan 2024 10:18:29 +0100

revpi-nodered (1.0.0-1+revpi12+1) bookworm; urgency=medium

  * Update package for bookworm

 -- Thomas Böhler <t.boehler@kunbus.com>  Tue, 28 Nov 2023 08:11:09 +0100

revpi-nodered (1.0.0-1+revpi11+2) bullseye; urgency=medium

  * fix: Use correct dependency name for webstatus

 -- Thomas Böhler <t.boehler@kunbus.com>  Fri, 09 Jun 2023 09:16:32 +0200

revpi-nodered (1.0.0-1+revpi11+1) bullseye; urgency=medium

  [ Thomas Böhler ]
  * feat: Add configuration for proxying NodeRED through Apache
  * fix: Strip redundant slash in URI
  * feat: Add debianisation for revpi-nodered-proxy-apache

 -- Thomas Böhler <t.boehler@kunbus.com>  Wed, 07 Jun 2023 16:44:59 +0200

=== debian/control ===
Source: revpi-nodered
Section: electronics
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Build-Depends:
  dh-sysuser,
  debhelper-compat (= 13),
  npm,
Standards-Version: 4.6.2
Homepage: https://revolutionpi.com/
Rules-Requires-Root: no
Vcs-Git: https://gitlab.com/revolutionpi/revpi-nodered.git -b debian/bookworm
Vcs-Browser: https://gitlab.com/revolutionpi/revpi-nodered

Package: revpi-nodered
Architecture: any
Multi-Arch: foreign
Depends:
  nodejs (>= 18),
  npm,
  ${misc:Depends},
  ${shlibs:Depends},
Breaks:
  noderedrevpinodes-server (<< 1.0.5~),
Conflicts:
  nodered,
  node-red-contrib-revpi-nodes,
Replaces:
  nodered,
  node-red-contrib-revpi-nodes,
Suggests:
  noderedrevpinodes-server,
Recommends:
  revpi-nodered-proxy-apache | revpi-nodered-proxy-nginx,
Description: Revolution Pi Node-RED version 4
 This package installs Node-RED v4 and a systemd unit file to run Node-RED as
 a server process in the background. The Node-RED process is executed under
 its own system user "nodered" and restricted to certain access via sandbox
 settings of systemd.

Package: revpi-nodered-proxy-apache
Architecture: all
Multi-Arch: foreign
Depends:
  ${misc:Depends},
  revpi-cert-wizard,
  revpi-nodered,
  revpi-webserver-apache,
Breaks:
  revpi-nodered-proxy-nginx,
Replaces:
  revpi-nodered-proxy-nginx,
Suggests:
  revpi-nodered-proxy-firewalld
Description: Revolution Pi Node-RED Reverse Proxy configuration for Apache
 Apache2 configuration to enable a secure reverse proxy for insecure Node-RED
 traffic. Revolution Pi is a set of IoT products based on the Raspberry Pi and
 geared towards industrial usage.

Package: revpi-nodered-proxy-firewalld
Architecture: all
Depends:
  firewalld,
  revpi-nodered-proxy-apache | revpi-nodered-proxy-nginx,
  ${misc:Depends},
Description: Revolution Pi Node-RED Reverse Proxy firewall definitions
 This package brings the firewalld service files for the secure
 reverse proxy for Node-RED on the Revolution Pi. This configuration
 is required for a safe operation, when firewalld is used.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with sysuser

override_dh_installsystemd:
	dh_installsystemd --no-enable

## revpi-nodered 1.9.1

=== debian/changelog ===
revpi-nodered (1.9.1-1+deb13+1) trixie; urgency=medium

  * Initial release for trixie

 -- Sven Sager <s.sager@kunbus.com>  Wed, 03 Dec 2025 16:04:18 +0100

revpi-nodered (1.9.1-1+deb12+1) bookworm; urgency=medium

  [ Marc Kittner ]
  * feat(apache): Remove Permission-Policy Header

 -- Sven Sager <s.sager@kunbus.com>  Thu, 06 Nov 2025 15:47:13 +0100

## revpi-nodered 1.9.2

=== debian/changelog ===
revpi-nodered (1.9.2-1+deb13+1) trixie; urgency=medium

  * fix: Update Node-RED to 4.1.4

 -- Sven Sager <s.sager@kunbus.com>  Wed, 28 Jan 2026 14:46:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
   dh-sysuser,
   debhelper-compat (= 13),
   npm,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://revolutionpi.com/
 Rules-Requires-Root: no
-Vcs-Git: https://gitlab.com/revolutionpi/revpi-nodered.git -b debian/bookworm
+Vcs-Git: https://gitlab.com/revolutionpi/revpi-nodered.git -b debian/trixie
 Vcs-Browser: https://gitlab.com/revolutionpi/revpi-nodered
 
 Package: revpi-nodered
